Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface AConnect

All Superinterfaces:
  AAct, ACommand, ANetwork, ATransform, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AReplace

All Known Implementing Classes:
  AConnectImpl, AReplaceImpl

    public interface AConnect

extends ANetwork

Method Summary
`boolean` | `isDirected()` Returns the value of the 'Directed' attribute.
`void` | `setDirected(boolean value)` Sets the value of the '`Directed`' attribute.

Methods inherited from interface org.metaabm.act.ANetwork
`getWithin, setWithin`

Methods inherited from interface org.metaabm.act.ATransform
`getDestination, setDestination`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isDirected

    boolean isDirected()

  Returns the value of the 'Directed' attribute. The default value is `"true"`.

  If the meaning of the 'Directed' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Directed' attribute.
  See Also:
    `setDirected(boolean)`, `MetaABMActPackage.getAConnect_Directed()`

### setDirected

    void setDirected(boolean value)

  Sets the value of the '`Directed`' attribute.

  Parameters:
    `value` - the new value of the 'Directed' attribute.
  See Also:
    `isDirected()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD